﻿@model MyApp.Web.ViewModels.CreateAccountViewModel

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}
<h2>@MyApp.Web.Resources.EVAResource.createanaccountitle</h2>


@using (Html.BeginForm("CreateAccount", "Account", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.AntiForgeryToken()

    <div class="well">
        <p class="summary">@MyApp.Web.Resources.EVAResource.passphrasetext</p>

        <div class="form-group">
            @Html.LabelFor(x => x.EmailAddress)
                @Html.TextBoxFor(m => m.EmailAddress, new { MaxLength = "75", @class = "disablecopypaste" })
                @Html.ValidationMessageFor(m => m.EmailAddress)
        </div>

        <div class="form-group">
            @Html.LabelFor(x => x.ConfirmEmailAddress)
                @Html.TextBoxFor(m => m.ConfirmEmailAddress, new { MaxLength = "75", @class = "disablecopypaste" })
                @Html.ValidationMessageFor(m => m.ConfirmEmailAddress)
        </div>

        <div class="form-group">
            @Html.LabelFor(x => x.Passphrasepart1)
                @Html.PasswordFor(m => m.Passphrasepart1, new { MaxLength = "100", @class = "disablecopypaste" })
                @Html.ValidationMessageFor(m => m.Passphrasepart1)

        </div>

        <div class="form-group">
            @Html.LabelFor(x => x.Passphrasepart2)
                @Html.PasswordFor(m => m.Passphrasepart2, new { MaxLength = "100", @class = "disablecopypaste" })
                @Html.ValidationMessageFor(m => m.Passphrasepart2)
        </div>

        <div class="form-group">
            @Html.LabelFor(x => x.Captcha)
                @Html.TextBoxFor(m => m.Captcha, new { MaxLength = "10" })
            <img src="/Account/GetCaptchaImage?enid=@Model.EncryptedCaptch&cachecode=@DateTime.Now.Ticks&rnd=@Model.RandomInt" class="captchimage" />
                @Html.ValidationMessageFor(m => m.Captcha)
                @Html.HiddenFor(x => x.EncryptedCaptch)
        </div>

        <div class="form-group">
            @Html.LabelFor(x => x.UniqueCode)
            @Html.TextBoxFor(m => m.UniqueCode, new { MaxLength = "90" })
            @Html.ValidationMessageFor(m => m.UniqueCode)
        </div>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.CreateAccountSubmitButton)
            </div>
        </div>

    </div>
}



<script src="~/Scripts/op.copypaste.js" type="text/javascript"></script>
